# $Revision: 1.7 $, $Date: 2004/09/04 08:17:33 $
Summary:	multi-aterm - tabbed terminal emulator in an X Window System
Summary(pl):	multi-aterm - emulator terminala dla X Window System
Summary(pt_BR):	Um emulador de vt102 colorido
Name:		multi-aterm
Version:	0.2.1
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://www.nongnu.org/materm//%{name}-%{version}.tar.gz
# Source0-md5:	52f9c25a6fad7f638f7064ff6cc74c62
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://www.nongnu.org/materm/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	utempter-devel
Requires:	terminfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_desktopdir	%{_applnkdir}/Terminals

%description
multi-aterm is a terminal emulator. It is based on aterm 0.4.2,
features most of functionalties of aterm (pseudo fast-transparency,
nextstep look scroll bar) and mostly and notebook functionality. Thus,
you can have several terminals in the same window. Each terminal can
be configured (name, background, ...) with a configuration file. Like
aterm, it aims to be light and fast and desktop independant, meaning
KDE or GNOME are not required. Several configurations files can be
used. Specific files override resources of standard files, and options
override resources found in files.

%description -l pl
multi-aterm to emulator terminala. Jest oparty na atermie 0.4.2, ma
wikszo funkcji aterma (szybk pseudoprzezroczysto, pasek
przewijania w stylu nextstepa) oraz funkcjonalno pozwalajc na
trzymanie wielu terminali w tym samym oknie. Kady terminal moe by
konfigurowany (nazwa, to...) w pliku konfiguracyjnym. Podobnie jak
aterm, ten terminal ma by lekki, szybki, niezaleny od pulpitu, czyli
nie wymagajcy KDE ani GNOME. Mona uywa kilku plikw
konfiguracyjnych. Bardziej konkretne pliki przykrywaj zasoby ze
standardowych plikw, a opcje przykrywaj zasoby z plikw.

%prep
%setup -q

%build
LDFLAGS="%{rpmldflags} -lutempter -L%{_libdir}"
export LDFLAGS
%configure \
	--enable-ttygid \
	--enable-wtmp \
	--enable-background-image \
	--with-term=rxvt \
	--with-png \
	--with-jpeg \
	--enable-transparency \
	--enable-fading \
	--enable-menubar \
	--enable-graphics \
	--enable-xgetdefault \
	--enable-next-scroll
#	--enable-utmp \

CFLAGS="%{rpmcflags}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: multi-aterm.spec,v $
Revision 1.7  2004/09/04 08:17:33  blues
- 0.2.1 - prepared for RA; fixed window resizing bug.

Revision 1.6  2004/08/30 22:20:52  blues
- added icon from MDK

Revision 1.5  2004/08/30 20:36:10  blues
- removed ac-regeneration - workaround to make it build...

Revision 1.4  2004/08/30 20:30:17  blues
- 0.2 - changed project location, seems to build

Revision 1.3  2004/07/04 14:25:12  havner
- applnk -> vfolders

Revision 1.2  2003/12/24 12:11:02  qboosh
- pl description

Revision 1.1  2003/12/23 21:59:42  speedy
- based on aterm.spec
- multi-aterm, a tabbed VT102 emulator for X-Window
